<section data-ng-controller="ActionsController" data-ng-init="findUserActions()" class="panel">
	<header class="panel-heading higher-panel-heading">
	  User Actions 
	</header>
	<span>
		<table ng-table="tableParams" show-filter="true" class="table table-striped table-advance table-hover payments">
		    <tr data-ng-repeat="log in $data" ng-if="log.data.order.url != 'add_cart'">
	        <td data-title="'Date'" sortable="'create_time'"> {{log.data.created | date:'yyyy-MM-dd HH:mm:ss Z' }}</td>

			


					
			<td data-title="'Email'" sortable="'username'" >
			{{log.data.user.username  | cut:true:75:' ...' }}</td>

			
			<td  data-title="'Action'" sortable="'order'">
		
		<span ng-if="log.message == 'order created' || log.message == 'payment created' || log.message == 'Topup created'  " style="color: #F39B13;" >
			{{log.message}}
		</span>

		<span ng-if="log.message == 'order inprogress' || log.message == 'payment successful' || log.message == 'order completed' || log.message == 'TopUp'" style="color: #27AE61;" >
		{{log.message}}
		</span>

		<span ng-if="log.data.action_type == 'Order cancelled' || log.message == 'order abandoned'" >
			<a style="color: #a33;" data-ng-href="#!/userActions/{{log.data.user._id}}">{{log.message}}</a>
		</span>

		

	</td>
	<td ng-if='log.data.order.url' data-title="'Order'" sortable="'order'"><a data-ng-href="#!/orders/{{log.order_id}}">{{log.data.order.url | cut:true:75:' ...'}}</a></td>
	
	<td  data-title="'Price'" sortable="'price'">{{log.data.price}} </td>
	
					
					
					
		    </tr>
		</table>
	</span>
</section>
